Bug 74849 - Unsecure permissions for swap file
Summary: Unsecure permissions for swap file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
: 84805 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 07:24 UTC by Łukasz Trąbiński
Modified: 2007-04-18 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 11:50:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Łukasz Trąbiński 2002-10-02 07:24:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0)

Description of problem:
0755 permissions mode for swap file is a wrong idea. After upgrade (from RH 7.3)
it's look like this
-rwxr-xr-x    1 root    root     269484032 Oct  1 16:41 SWAP
Anyone can do something like this:
strings SWAP |grep root
sometimes we can find in swap file many interesing things like /etc/shadow.
I think, that's 0600 permission mode are more secure.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade system from RH 7.3
2.
3.
	

Additional info:

Comment 1 Jeremy Katz 2002-10-02 18:43:24 UTC
Fixed in CVS

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 3 Kjartan Maraas 2003-04-03 09:26:43 UTC
Close this as fixed in RHL9?

Comment 4 Jeremy Katz 2003-04-03 20:10:30 UTC
*** Bug 84805 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.